/*
 * This file is generated by jOOQ.
 */
package be.lghs.accounting.model;


import be.lghs.accounting.model.tables.Accounts;
import be.lghs.accounting.model.tables.Codas;
import be.lghs.accounting.model.tables.FlywaySchemaHistory;
import be.lghs.accounting.model.tables.MovementCategories;
import be.lghs.accounting.model.tables.MovementTags;
import be.lghs.accounting.model.tables.Movements;
import be.lghs.accounting.model.tables.Subscriptions;
import be.lghs.accounting.model.tables.UserAccountNumbers;
import be.lghs.accounting.model.tables.Users;

import javax.annotation.processing.Generated;


/**
 * Convenience access to all tables in accounting.
 */
@Generated(
    value = {
        "https://www.jooq.org",
        "jOOQ version:3.14.9",
        "schema version:accounting_0010"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Tables {

    /**
     * The table <code>accounting.accounts</code>.
     */
    public static final Accounts ACCOUNTS = Accounts.ACCOUNTS;

    /**
     * The table <code>accounting.codas</code>.
     */
    public static final Codas CODAS = Codas.CODAS;

    /**
     * The table <code>accounting.flyway_schema_history</code>.
     */
    public static final FlywaySchemaHistory FLYWAY_SCHEMA_HISTORY = FlywaySchemaHistory.FLYWAY_SCHEMA_HISTORY;

    /**
     * The table <code>accounting.movement_categories</code>.
     */
    public static final MovementCategories MOVEMENT_CATEGORIES = MovementCategories.MOVEMENT_CATEGORIES;

    /**
     * The table <code>accounting.movement_tags</code>.
     */
    public static final MovementTags MOVEMENT_TAGS = MovementTags.MOVEMENT_TAGS;

    /**
     * The table <code>accounting.movements</code>.
     */
    public static final Movements MOVEMENTS = Movements.MOVEMENTS;

    /**
     * The table <code>accounting.subscriptions</code>.
     */
    public static final Subscriptions SUBSCRIPTIONS = Subscriptions.SUBSCRIPTIONS;

    /**
     * The table <code>accounting.user_account_numbers</code>.
     */
    public static final UserAccountNumbers USER_ACCOUNT_NUMBERS = UserAccountNumbers.USER_ACCOUNT_NUMBERS;

    /**
     * The table <code>accounting.users</code>.
     */
    public static final Users USERS = Users.USERS;
}
